All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
hankel_matrix_operations.hpp File Reference

Implementations of operations using hankel_matrix. Experimental. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/ocl/backend.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/fft.hpp"`
`#include "viennacl/linalg/toeplitz_matrix_operations.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename NumericT , unsigned int AlignmentV>
void | viennacl::linalg::prod_impl (viennacl::hankel_matrix< NumericT, AlignmentV > const &A, viennacl::vector_base< NumericT > const &vec, viennacl::vector_base< NumericT > &result)
| Carries out matrix-vector multiplication with a hankel_matrix. More...

## Detailed Description

Implementations of operations using hankel_matrix. Experimental.

Definition in file hankel_matrix_operations.hpp.